Create an experiment variant
curl --request POST \
--url https://api.avidoai.com/v0/experiments/{id}/variants \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"configPatch": {
"llm": {
"model": "reasoning"
}
},
"title": "Variant A",
"description": "Switch to reasoning model",
"parentId": "123e4567-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://api.avidoai.com/v0/experiments/{id}/variants"
payload = {
"configPatch": { "llm": { "model": "reasoning" } },
"title": "Variant A",
"description": "Switch to reasoning model",
"parentId": "123e4567-e89b-12d3-a456-426614174000"
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
configPatch: {llm: {model: 'reasoning'}},
title: 'Variant A',
description: 'Switch to reasoning model',
parentId: '123e4567-e89b-12d3-a456-426614174000'
})
};
fetch('https://api.avidoai.com/v0/experiments/{id}/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"experimentId": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"title": "Credit Card Block",
"description": "Wants to block their credit card",
"configPatch": {
"llm": {
"model": "reasoning"
}
},
"config": {
"llm": {
"model": "reasoning"
}
},
"parentId": "123e4567-e89b-12d3-a456-426614174000",
"result": {
"passed": 4503599627370495,
"failed": 4503599627370495,
"total": 4503599627370495,
"passRate": 50,
"averageScore": 0.5,
"evals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"passed": 4503599627370495,
"failed": 4503599627370495,
"total": 4503599627370495,
"passRate": 50,
"averageScore": 0.5
}
]
},
"progress": {
"completed": 5,
"total": 10
}
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Experiments
Create an experiment variant
Creates a new variant for the specified experiment.
POST
/
v0
/
experiments
/
{id}
/
variants
Create an experiment variant
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the experiment
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Request body for creating a new experiment variant
The config patch to apply to the system, entire config if baseline
Show child attributes
Show child attributes
Example:
{ "llm": { "model": "reasoning" } }
The title of the variant
Maximum string length:
256Example:
"Variant A"
The variant description
Maximum string length:
2048Example:
"Switch to reasoning model"
Parent variant ID for inherited variants (non-baseline variants)
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Successfully created experiment variant
Response containing a single experiment variant
Show child attributes
Show child attributes
⌘I